# OpalPluginAudioFormatInternal Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for OpalPluginAudioFormatInternal:

[legend]
Collaboration diagram for OpalPluginAudioFormatInternal:
[legend]

## Public Member Functions

| OpalPluginAudioFormatInternal (const PluginCodec_Definition *codecDefn, const char *fmtName, const char *rtpEncodingName, unsigned frameTime, unsigned timeUnits, time_t timeStamp)
virtual PObject * | Clone () const
virtual bool | IsValidForProtocol (const PString &protocol) const
virtual bool | ToNormalisedOptions ()
virtual bool | ToCustomisedOptions ()

## Friends

class | OpalPluginCodecManager

## Constructor & Destructor Documentation

OpalPluginAudioFormatInternal::OpalPluginAudioFormatInternal | ( | const PluginCodec_Definition * | codecDefn,
|  | const char * | fmtName,
|  | const char * | rtpEncodingName,
|  | unsigned | frameTime,
|  | unsigned | timeUnits,
|  | time_t | timeStamp |
| ) |  |  |

## Member Function Documentation

virtual PObject* OpalPluginAudioFormatInternal::Clone | ( |  | ) | const`[virtual]`

Reimplemented from OpalAudioFormatInternal.

virtual bool OpalPluginAudioFormatInternal::IsValidForProtocol | ( | const PString & | protocol | ) | const`[virtual]`

Reimplemented from OpalPluginMediaFormatInternal.

virtual bool OpalPluginAudioFormatInternal::ToCustomisedOptions | ( |  | ) | `[virtual]`

Reimplemented from OpalMediaFormatInternal.

virtual bool OpalPluginAudioFormatInternal::ToNormalisedOptions | ( |  | ) | `[virtual]`

Reimplemented from OpalMediaFormatInternal.

## Friends And Related Function Documentation

friend class OpalPluginCodecManager `[friend]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h